MediaWiki:Gadget-site-styles.css:修订间差异

imported>=海豚=
无编辑摘要
imported>=海豚=
无编辑摘要
第136行: 第136行:
     box-shadow: inset 5px 0 0 0 #f4c430;
     box-shadow: inset 5px 0 0 0 #f4c430;
     text-decoration: none;
     text-decoration: none;
}
#sidebarHidden-logo-link {
    z-index: 2;
    opacity: 0;
    position: absolute;
    top: 60px;
    height: 40px;
    width: 9em;
    left: 1em;
    text-align: center;
    background-image: linear-gradient(rgba(255, 255, 255, 0), rgba(255, 255, 255, .3) 30%, rgba(255, 255, 255, .5)) !important;
    background-color: transparent !important;
}
body.sidebarHidden #sidebarHidden-logo-link {
    opacity: 1;
    pointer-events: all;
    width: 9em;
    left: 1em;
}
/* 侧边栏 */
#sidebarHidden-logo {
    height: 600%;
    width: auto;
    position: absolute;
    transform: translateX(-50%);
    left: 57%;
    bottom: -200%;
}
#sidebarHidden-arrow {
    transition: .37s ease-in-out all;
    position: fixed;
    width: .8em;
    height: .8em;
    top: 7.2em;
    cursor: pointer;
    padding: .3em;
    border-radius: 50%;
    text-align: center;
    border: 1px solid rgb(167, 215, 249);
    background: rgb(255, 255, 255);
    z-index: 99;
    left: 11.6em;
}
#sidebarHidden-arrow-left,
#sidebarHidden-arrow-right {
    position: absolute;
    top: .3em;
    left: .3em;
    right: .3em;
    bottom: .3em;
    pointer-events: none;
    transition: .37s ease-in-out all;
}
body.sidebarHidden #sidebarHidden-arrow-left,
body:not(.sidebarHidden) #sidebarHidden-arrow-right {
    opacity: 1;
}
body:not(.sidebarHidden) #sidebarHidden-arrow-left,
body.sidebarHidden #sidebarHidden-arrow-right {
    opacity: 0;
}
#sidebarHidden-arrow:hover {
    background-color: rgb(223, 245, 255);
}
body.sidebarHidden #sidebarHidden-arrow {
    left: 0.3em;
}
#content,
#mw-panel,
#footer {
    transition-duration: .37s;
    transition-timing-function: ease-in-out;
    transition-property: margin-left;
}
#mw-panel {
    transiion-duration: .37s;
    transition-timing-function: ease-in-out;
    transition-property: z-index, opacity;
    opacity: 1;
}
body.sidebarHidden #content,
body.sidebarHidden #footer {
    margin-left: 1em !important;
}
body.sidebarHidden #mw-panel {
    z-index: -999;
    opacity: 0;
    pointer-events: none;
}
}
/* info类模板 */
/* info类模板 */